import React, { FC, ComponentProps } from 'react'
import { Typography, TypographyProps } from 'antd'
import styled from 'styled-components'

type AdditionalParagraphProps = ComponentProps<TypographyProps['Paragraph']> & {
	level?: 1 | 2
}

const StyledParagraph2 = styled(Typography.Paragraph)`
  font-size: 12px;
`
export const Paragraph: FC<AdditionalParagraphProps> = ({ level = 1, ...props }) => {
	if (level === 2) {
		return <StyledParagraph2 {...props} />
	}
	return <Typography.Paragraph {...props} />
}
